---
title: "Version 3.11.2"
type: posts
date: 2023-03-16T00:00:00
---

As part of a batch release of patches for stable branches, the 3.11.2 release of GEOS is now available [to download]({{< ref "/usage/download" >}}).

Release notes for the various branches are available:
[3.10.5](https://github.com/libgeos/geos/blob/3.10.5/NEWS), and
[3.11.2](https://github.com/libgeos/geos/blob/3.11.2/NEWS)

The 3.11.2 release is a bug fix release.

 <!--more-->

* GEOSIntersection: Fix FE_INVALID exception on intersection of disjoint geometries ([GH-791](https://github.com/libgeos/geos/issues/791), Joris Van den Bossche & Dan Baston)
* Fix incorrect result from Envelope::disjoint ([GH-791](https://github.com/libgeos/geos/issues/791), Dan Baston)
* Fix handling of odd cases in PolygonHoleJoiner ([JTS-946](https://github.com/locationtech/jts/pull/946), Paul Ramsey, Martin Davis)
* Support gcc-13 ([GH-743](https://github.com/libgeos/geos/issues/743), Sergei Trofimovich)
* Disallow Inf envelopes in Quadtree, avoid inf loop (Paul Ramsey)
* GEOSUnaryUnion: Fix crash on collection containing empty point ([GH-830](https://github.com/libgeos/geos/issues/830), Dan Baston)
* GEOSSTRtree_iterate: Do not return removed items ([GH-833](https://github.com/libgeos/geos/issues/833), Dan Baston)
* IndexedFacetDistance: Fix crash with Inf coordinates ([GH-821](https://github.com/libgeos/geos/issues/821), Dan Baston)
* HausdorffDistance: Fix crash on collection containing empty point ([GH-840](https://github.com/libgeos/geos/issues/840), Dan Baston)
* MaximumInscribedCircle: Fix infinite loop with non-finite coordinates ([GH-843](https://github.com/libgeos/geos/issues/843), Dan Baston)
* DistanceOp: Fix crash on collection containing empty point ([GH-842](https://github.com/libgeos/geos/issues/842), Dan Baston)
* Guard against non-finite distances in Buffer/OffsetCurve ([GH-661](https://github.com/libgeos/geos/issues/661), Paul Ramsey)

